Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1423 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

r2486 breaks SUPERG_FF=0 compilation

Reported by: georg@boerde.de Assigned to:
Priority: minor Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: superg_ff Cc:
Patch is attached: 0 Pending:

Description

The changes in r2486 made compilation of madwifi with SUPERG_FF=0 (which I use to debug other problems in the driver) impossible due to a reference to a non declared not initialized txq variable in if_ath.c:

make -C /lib/modules/2.6.19/build SUBDIRS=/home/georg/hiwi/madwifi2523-patch modules
make[1]: Entering directory `/usr/src/xenomai/linux-2.6.19'
  CC [M]  /home/georg/hiwi/madwifi2523-patch/ath/if_ath.o
/home/georg/hiwi/madwifi2523-patch/ath/if_ath.c: In function 'ath_hardstart':
/home/georg/hiwi/madwifi2523-patch/ath/if_ath.c:2678: error: 'txq' undeclared (first use in this function)
/home/georg/hiwi/madwifi2523-patch/ath/if_ath.c:2678: error: (Each undeclared identifier is reported only once
/home/georg/hiwi/madwifi2523-patch/ath/if_ath.c:2678: error: for each function it appears in.)
cc1: warnings being treated as errors
/home/georg/hiwi/madwifi2523-patch/ath/if_ath.c:2678: warning: type defaults to 'int' in declaration of 'type name'
/home/georg/hiwi/madwifi2523-patch/ath/if_ath.c:2678: error: '__axq_lockflags' undeclared (first use in this function)
/home/georg/hiwi/madwifi2523-patch/ath/if_ath.c:2678: warning: type defaults to 'int' in declaration of 'type name'
make[3]: *** [/home/georg/hiwi/madwifi2523-patch/ath/if_ath.o] Error 1
make[2]: *** [/home/georg/hiwi/madwifi2523-patch/ath] Error 2
make[1]: *** [_module_/home/georg/hiwi/madwifi2523-patch] Error 2
make[1]: Leaving directory `/usr/src/xenomai/linux-2.6.19'
make: *** [modules] Error 2

Sorry I can't append a proper patch, my knowledge of network queues in the kernel is rather minimal :)

Change History

06/29/07 05:06:26 changed by mentor

I really hate that bit of code

07/03/07 04:08:44 changed by dyqith

  • status changed from new to closed.
  • resolution set to fixed.

revision 2527 fixes this, but I put in the wrong ticket number in the message :(

07/03/07 07:01:23 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:20:33 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.